import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

export default new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/login',
      name: 'login',
      component: () => import('./views/login.vue'),
    },
    {
      path: '/',
      name: 'index',
      component: () => import('./views/index.vue'),
      children: [
        {
          path: '/404',
          name: 'notFound',
          component: () => import('./views/NotFound.vue'),
        },
        {
          path: '/views/certificate/index',
          name: 'certificate',
          component: () => import('./views/certificate/index.vue'),
        },
        {
          path: '/account/register',
          name: 'register',
          component: () => import('./views/account/register.vue'),
        },
      ],
    },
  ],
});
